uses
  Dos;

procedure MyGetDate(var Year, Month, Day, DayOfWeek: Word);
var
  Regs: Registers;
begin
  Regs.AH := $2A;   { On indique le numro de la fonction }
  MsDos(Regs);      { On appelle l'interruption 21h }
  { Pour la fonction 2Ah, les rsultats sont rpartis comme suit : }
  {  CX: anne (de 1980  2099)                                    }
  {  DH: mois                                                      }
  {  DL: jour                                                      }
  {  AL: jour de la semaine (0 correspond  Dimanche)              }
  with Regs do
  begin
    Year := CX;
    Month := DH;
    Day := DL;
    DayOfWeek := AL;
  end;
end;

const
  Days: array[0..6] of string[8] =
    ('Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi');
  Months: array[1..12] of string[9] =
    ('Janvier', 'Fvrier', 'Mars', 'Avril', 'Mai', 'Juin',
     'Juillet', 'Aot', 'Septembre', 'Octobre', 'Novembre', 'Dcembre');

var
  Year, Month, Day, DOW: Word;

begin
  MyGetDate(Year, Month, Day, DOW);
  WriteLn('Nous sommes ', Days[DOW], ' ', Day, ' ', Months[Month], ' ', Year);
end.